import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["spin", "spinReverse", "className", "style", "svgProps", "children"],
    _excluded2 = ["spin", "spinReverse", "className", "style", "svgProps"];
import React, { cloneElement, forwardRef, useContext } from 'react';
import classnames from 'classnames';
import IconContext from './IconContext';
import { useInsertStyle } from './dynamicStyle';
var prefixClass = 'doly-icon';
var classes = {
  spin: "".concat(prefixClass, "-spin"),
  spinReverse: "".concat(prefixClass, "-spin-reverse")
}; // svg 默认属性

var defaultSvgProps = {
  'aria-hidden': true,
  focusable: false
};
var IconBase = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var _classnames;

  var spin = _ref.spin,
      spinReverse = _ref.spinReverse,
      className = _ref.className,
      style = _ref.style,
      svgProps = _ref.svgProps,
      children = _ref.children,
      restProps = _objectWithoutProperties(_ref, _excluded);

  var _useContext = useContext(IconContext),
      ctxSpin = _useContext.spin,
      ctxSpinReverse = _useContext.spinReverse,
      ctxClassName = _useContext.className,
      ctxStyle = _useContext.style,
      ctxSvgProps = _useContext.svgProps,
      ctxRestProps = _objectWithoutProperties(_useContext, _excluded2);

  var realSpin = typeof spin !== 'undefined' ? spin : ctxSpin;
  var realSpinReverse = typeof spinReverse !== 'undefined' ? spinReverse : ctxSpinReverse;
  useInsertStyle();
  return /*#__PURE__*/React.createElement("span", _objectSpread(_objectSpread(_objectSpread({
    role: "img",
    className: classnames(prefixClass, (_classnames = {}, _defineProperty(_classnames, classes.spin, realSpin), _defineProperty(_classnames, classes.spinReverse, realSpinReverse), _classnames), ctxClassName, className),
    style: _objectSpread(_objectSpread({}, ctxStyle), style)
  }, ctxRestProps), restProps), {}, {
    ref: ref
  }), children && /*#__PURE__*/cloneElement(children, _objectSpread(_objectSpread(_objectSpread({}, defaultSvgProps), ctxSvgProps), svgProps)));
});
IconBase.displayName = 'IconBase';
export default IconBase;