import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["component", "symbolId"];
import React, { useMemo } from 'react';
import IconBase from './IconBase';

function Icon(props) {
  var _ref = props || {},
      component = _ref.component,
      symbolId = _ref.symbolId,
      restProps = _objectWithoutProperties(_ref, _excluded);

  var child = useMemo(function () {
    if (component) {
      return component;
    }

    if (symbolId) {
      return /*#__PURE__*/React.createElement("svg", {
        width: "1em",
        height: "1em",
        fill: "currentColor"
      }, /*#__PURE__*/React.createElement("use", {
        xlinkHref: "#".concat(symbolId)
      }));
    }

    return null;
  }, [component, symbolId]);
  return /*#__PURE__*/React.createElement(IconBase, _objectSpread({}, restProps), child);
}

export default Icon;