"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames2 = _interopRequireDefault(require("classnames"));

var _IconContext = _interopRequireDefault(require("./IconContext"));

var _dynamicStyle = require("./dynamicStyle");

var _excluded = ["spin", "spinReverse", "className", "style", "svgProps", "children"],
    _excluded2 = ["spin", "spinReverse", "className", "style", "svgProps"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var prefixClass = 'doly-icon';
var classes = {
  spin: "".concat(prefixClass, "-spin"),
  spinReverse: "".concat(prefixClass, "-spin-reverse")
}; // svg 默认属性

var defaultSvgProps = {
  'aria-hidden': true,
  focusable: false
};
var IconBase = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var _classnames;

  var spin = _ref.spin,
      spinReverse = _ref.spinReverse,
      className = _ref.className,
      style = _ref.style,
      svgProps = _ref.svgProps,
      children = _ref.children,
      restProps = _objectWithoutProperties(_ref, _excluded);

  var _useContext = (0, _react.useContext)(_IconContext.default),
      ctxSpin = _useContext.spin,
      ctxSpinReverse = _useContext.spinReverse,
      ctxClassName = _useContext.className,
      ctxStyle = _useContext.style,
      ctxSvgProps = _useContext.svgProps,
      ctxRestProps = _objectWithoutProperties(_useContext, _excluded2);

  var realSpin = typeof spin !== 'undefined' ? spin : ctxSpin;
  var realSpinReverse = typeof spinReverse !== 'undefined' ? spinReverse : ctxSpinReverse;
  (0, _dynamicStyle.useInsertStyle)();
  return /*#__PURE__*/_react.default.createElement("span", _objectSpread(_objectSpread(_objectSpread({
    role: "img",
    className: (0, _classnames2.default)(prefixClass, (_classnames = {}, _defineProperty(_classnames, classes.spin, realSpin), _defineProperty(_classnames, classes.spinReverse, realSpinReverse), _classnames), ctxClassName, className),
    style: _objectSpread(_objectSpread({}, ctxStyle), style)
  }, ctxRestProps), restProps), {}, {
    ref: ref
  }), children && /*#__PURE__*/(0, _react.cloneElement)(children, _objectSpread(_objectSpread(_objectSpread({}, defaultSvgProps), ctxSvgProps), svgProps)));
});
IconBase.displayName = 'IconBase';
var _default = IconBase;
exports.default = _default;