"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectStyle = exports.canUseDom = void 0;

var _window, _window$document;

// 当前运行环境是否可以使用 dom
var canUseDom = typeof window !== 'undefined' && typeof document !== 'undefined' && ((_window = window) === null || _window === void 0 ? void 0 : _window.document) && ((_window$document = window.document) === null || _window$document === void 0 ? void 0 : _window$document.createElement);
exports.canUseDom = canUseDom;
var styleNodeCache = {}; // 插入样式

var injectStyle = function injectStyle(css, key) {
  if (!canUseDom) {
    return null;
  }

  if (styleNodeCache[key]) {
    if (styleNodeCache[key].innerHTML !== css) {
      styleNodeCache[key].innerHTML = css;
    }

    return styleNodeCache[key];
  }

  var styleNode = document.createElement('style');
  styleNode.innerHTML = css;
  var container = document.querySelector('head') || document.body;

  if (container.prepend) {
    container.prepend(styleNode);
  } else if (container.firstChild) {
    // IE not support `prepend`
    container.insertBefore(styleNode, container.firstChild);
  } else {
    container.appendChild(styleNode);
  }

  styleNodeCache[key] = styleNode;
  return styleNode;
};

exports.injectStyle = injectStyle;